.footer {
    color: $black;
    background: $white;
    font-size: rem(14);
    line-height: rem(20);

    &__primary {
        font-size: rem(8);
        line-height: rem(16);
        padding-top: rem(56);
        padding-bottom: rem(48);
    }

    &__secondary {
        font-weight: 300;
        font-size: rem(14);
        line-height: rem(19);
        text-align: center;
        padding-top: rem(36);
        padding-bottom: rem(74);
        font-family: $font-family-third;
        border-top: 1px solid #0A1C2B;
    }

    &__logo {
        display: block;
        width: rem(162);
        margin: 0 auto rem(34) auto;
    }

    &__stores {
        display: flex;
        align-items: center;
        justify-content: center;
        margin-bottom: rem(34);
    }

    &__store {
        display: block;
        width: rem(142);
        margin: 0 rem(6);
    }

    &__text {
        text-align: center;
    }

    @include media-breakpoint-up(md) {

        &__primary {
            padding-top: rem(72);
            padding-bottom: rem(40);
            display: flex;
            flex-wrap: wrap;
            align-items: center;
            justify-content: space-between;
        }

        &__text {
            width: 100%;
        }

        &__logo {
            margin: 0;
        }

        &__stores {
            margin: 0 rem(50) 0 0;
        }

        &__text {
            text-align: left;
            padding-top: rem(35);
        }

        &__secondary {
            padding-top: rem(42);
            padding-bottom: rem(74);
        }
    }

    @include media-breakpoint-up(xl) {

        &__primary {
            flex-wrap: nowrap;
            padding-top: rem(60);
            padding-bottom: rem(32);
        }

        &__stores {
            margin: 0 0 0 rem(40);
        }

        &__text {
            padding: 0;
            width: rem(460);
        }

        &__secondary {
            font-weight: 200;
            font-size: rem(16);
            line-height: rem(22);
            padding-top: rem(24);
            padding-bottom: rem(60);
        }
    }

    @include media-breakpoint-up(xxl) {

        &__primary {
            padding-top: rem(48);
        }

        &__secondary {
            padding-bottom: rem(80);
        }
    }
}
